[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[linux-lvm] Unable to find lvm2 partitions using kernel 2.6.1 (NOT available?)



I'm finding myself in a sticky situation. I was trying to upgrade my kernel to 2.6.1 in order to get the new ipsec stack, but I'm not in a place where I cannot run either the old 2.4.20 kernel, or the new one.

As part of this process, I upgraded the lvm2 utils (on Debian). I think this is what broke the 2.4.20 kernel because now I get a message about the tools using the 4.0.0 ioctls and the kernel supporting only 1.0.8.

The odd part is that I'd expect the 2.6.1 kernel to see the lvm2 partitions. vgscan and vgdisplay can see them, but all of them are marked as NOT available. There is no /proc/lvm as described in the HOWTO. Also, I compiled everything into the kernel directly, no lvm modules.

This has put me in a tight spot so I'll be grateful for any help offered.

I am wondering if I need to either a) compile a kernel with LVM as a module, b) compile a new 2.4.20 kernel that has the latest LVM patch, or c) do something really easy that I've overlooked.

Cheers.

_________________________________________________________________
Find high-speed ?net deals ? comparison-shop your local providers here. https://broadband.msn.com





[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]